Skip to main content
GET
/
v1
/
get-orders
/
{user_address}
Get all user orders.
curl --request GET \
  --url https://gateway-api-mainnet.gobob.xyz/v1/get-orders/{user_address}
[
  {
    "dstInfo": {
      "amount": "<string>",
      "chain": "<string>",
      "token": "<string>",
      "txHash": "<string>"
    },
    "srcInfo": {
      "amount": "<string>",
      "chain": "<string>",
      "token": "<string>",
      "txHash": "<string>"
    },
    "status": {
      "inProgress": {
        "bump_fee_tx": "<unknown>",
        "refund_tx": "<unknown>"
      }
    },
    "timestamp": 123,
    "estimatedTimeInSecs": 1
  }
]

Path Parameters

user_address
string
required

User address

Response

200 - application/json

Get all orders

dstInfo
object
required
srcInfo
object
required
status
required
timestamp
integer<int64>
required
estimatedTimeInSecs
integer<int64> | null
Required range: x >= 0